> ## Documentation Index
> Fetch the complete documentation index at: https://docs.motioness.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deep crawl a domain (standalone, for onboarding)

` POST /api/projects/deep-crawl `

Deep crawl a domain (standalone, for onboarding)

## Servers

- ` https://motioness.com ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` sessionCookie `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie set by /api/user/signin, /api/user/signup, or the OAuth callback. Required for all authenticated endpoints.

## Request body (optional)

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` domain `

  - ` domain `: type ` string `

    - minLength: ` 1 `

    - maxLength: ` 255 `

## Responses

### ` 200 ` — Deep crawl result with brand, content, and messaging

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` result `

  - ` result `: type ` object `

    - Required fields: ` brand `, ` content `, ` messaging `, ` design `

    - ` brand `: type ` object `

      - Required fields: ` colors `, ` fonts `, ` brandName `, ` logoUrl `

      - ` colors `: type ` object `

        - Required fields: ` primary `, ` secondary `, ` accent `, ` background `, ` foreground `

        - ` primary `: type ` string `

        - ` secondary `: type ` string `

        - ` accent `: type ` string `

        - ` background `: type ` string `

        - ` foreground `: type ` string `

      - ` fonts `: type ` object `

        - Required fields: ` heading `, ` body `

        - ` heading `: type ` string `

        - ` body `: type ` string `

      - ` brandName `: type ` string `

      - ` logoUrl `: type ` string `

    - ` content `: type ` object `

      - Required fields: ` tagline `, ` description `, ` features `, ` pricing `, ` testimonials `, ` stats `, ` announcements `, ` codeExamples `, ` pages `

      - ` tagline `: type ` string `

      - ` description `: type ` string `

      - ` features `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` title `, ` description `

          - ` title `: type ` string `

          - ` description `: type ` string `

          - ` icon `: type ` string `

      - ` pricing `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` tier `, ` price `, ` features `

          - ` tier `: type ` string `

          - ` price `: type ` string `

          - ` features `: type ` array `

            - ` array item `: type ` string `

      - ` testimonials `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` quote `, ` author `

          - ` quote `: type ` string `

          - ` author `: type ` string `

          - ` role `: type ` string `

      - ` stats `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` label `, ` value `

          - ` label `: type ` string `

          - ` value `: type ` string `

      - ` announcements `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` title `, ` body `

          - ` title `: type ` string `

          - ` date `: type ` string `

          - ` body `: type ` string `

      - ` codeExamples `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` language `, ` code `

          - ` language `: type ` string `

          - ` code `: type ` string `

          - ` label `: type ` string `

      - ` pages `: type ` array `

        - ` array item `: type ` object `

          - Required fields: ` url `, ` title `, ` type `

          - ` url `: type ` string `

          - ` title `: type ` string `

          - ` type `: type ` string `

    - ` messaging `: type ` object `

      - Required fields: ` tone `, ` targetAudience `, ` valueProps `, ` ctas `

      - ` tone `: type ` string `

      - ` targetAudience `: type ` string `

      - ` valueProps `: type ` array `

        - ` array item `: type ` string `

      - ` ctas `: type ` array `

        - ` array item `: type ` string `

    - ` design `: type ` object `

      - Required fields: ` vibe `, ` borderRadius `, ` hasGlassmorphism `, ` hasGradientBorders `, ` hasRadialGlows `, ` colorScheme `

      - ` vibe `: type ` string `

      - ` borderRadius `: type ` string `

      - ` backgroundPattern `: type ` string `

      - ` hasGlassmorphism `: type ` boolean `

      - ` hasGradientBorders `: type ` boolean `

      - ` hasRadialGlows `: type ` boolean `

      - ` monoFont `: type ` string `

      - ` sectionLabelStyle `: type ` string `

      - ` colorScheme `: type ` string `

        - enum: ` ["dark","light"] `

### ` 401 ` — Authentication required

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

### ` 500 ` — Deep crawl failed

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

  - ` detail `: type ` string `

## Request examples

### cURL

```curl
curl -X POST 'https://motioness.com/api/projects/deep-crawl' \
  -H 'Content-Type: application/json' \
  -d '{
  "domain": "string"
}'
```

### JavaScript

```javascript
const response = await fetch('https://motioness.com/api/projects/deep-crawl', {
  method: 'POST',
  headers: {
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "domain": "string"
  })
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.post('https://motioness.com/api/projects/deep-crawl', json={
  "domain": "string"
})
print(response.json())
```